Bug 1203108 - The version of the LLVM D compiler is old and does not support shared libraries
Summary: The version of the LLVM D compiler is old and does not support shared libraries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ldc
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: MERCIER Jonathan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-18 06:40 UTC by Demi Marie Obenour
Modified: 2015-10-01 16:05 UTC (History)
2 users (show)

Fixed In Version: ldc-0.16.0.alpha3-76.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-01 16:05:31 UTC


Attachments (Terms of Use)

Description Demi Marie Obenour 2015-03-18 06:40:38 UTC
Description of problem:
The version of LDC found in Fedora 21 is old and does not support shared libraries.

Version-Release number of selected component (if applicable):
0.13.0

How reproducible:
Always

Steps to Reproduce:
1. Run ldc2 -version
2.
3.

Actual results:
The version is one (0.13.0) that does not support shared libraries.

Expected results:
A version is provided that supports shared libraries.


Additional info:
Since D is evolving so rapidly, the latest stable upstream version should be used.

Comment 1 Michael Schwendt 2015-03-18 10:29:25 UTC
You may want to start at

  http://bugz.fedoraproject.org/ldc

notice the "Koji Builds" link at the left and find out that a newer version has been worked on already. The build for F21 has not been submitted as a test update yet, however, for reasons I don't know.

Also note that this may be an opportunity to contribute:

  https://fedoraproject.org/wiki/Join_the_package_collection_maintainers
  https://fedoraproject.org/wiki/Category:Package_Maintainers

Comment 2 MERCIER Jonathan 2015-03-18 21:01:38 UTC
The latest ldc release is too buggy I waiting upstream to fix some bug .

As example ldc fail to build D lib on 32 arch: https://github.com/ldc-developers/ldc/issues/836

when the issue https://github.com/ldc-developers/ldc/issues/842 will be close I will push it.

In any case you are welcome to contribute.

Comment 3 Fedora Update System 2015-09-20 20:27:02 UTC
derelict-3-33.20150730git10a517b.fc23 gtkd-3.1.4-52.fc23 dustmite-1-25.20150515git3498068.fc23 ldc-0.16.0.alpha3-76.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16259

Comment 4 Fedora Update System 2015-09-21 18:52:22 UTC
derelict-3-33.20150730git10a517b.fc23, dustmite-1-25.20150515git3498068.fc23, gtkd-3.1.4-52.fc23, ldc-0.16.0.alpha3-76.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dustmite gtkd derelict ldc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16259

Comment 5 Fedora Update System 2015-10-01 16:05:14 UTC
derelict-3-33.20150730git10a517b.fc23, dustmite-1-25.20150515git3498068.fc23, gtkd-3.1.4-52.fc23, ldc-0.16.0.alpha3-76.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.